Docs
Create Variants
POST /resourceTypes/{resourceTypeId}/variants
POST
/resourceTypes/{resourceTypeId}/variantsCreates one or more variants from the combinations you choose, each with an optional rate card from the type's own cards. To add a variant axis to a type that already has variants, use ResourceTypes_ReAxisVariants. Requires ResourceTypeDatabase.Edit.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| resourceTypeId | uuid | Required |
Request Body
| Field | Type | Required | Description |
|---|---|---|---|
| variants | CreateVariantsRequestVariantInput[] | Optional |
CreateVariantsRequestVariantInput
| Field | Type | Description |
|---|---|---|
| name | string| null | |
| rateCardId | uuid| null | |
| values | CreateVariantsRequestVariantValue[]| null |
CreateVariantsRequestVariantValue
| Field | Type | Description |
|---|---|---|
| resourceAttributeId | uuid | |
| value | string| null |